glab(1)

NAME
glab-packages-list - List packages in a project's package registry.

SYNOPSIS
glab packages list [flags]

DESCRIPTION
Packages of all types (generic, npm, maven, etc.) are returned. Use --package-type to filter by type and --name to filter by name. Use --page and --per-page to paginate the result.

By default, packages are listed for the current project. Use --repo to target another project.

OPTIONS
--jq=""
    Filter JSON output with a jq expression.

-n, --name=""
    Filter packages by name (substring match).

--package-type=""
    Filter packages by type. One of: composer, conan, debian, generic, golang, helm, maven, npm, nuget, pypi, terraform_module.

-p, --page=1
    Page number.

-P, --per-page=30
    Number of items to list per page.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

-R, --repo=""
    Select another repository. You can use either OWNER/REPO or GROUP/NAMESPACE/REPO. The full URL or Git URL is also accepted.

EXAMPLE
    # List all packages in the current project
    glab packages list
    # Use the 'ls' alias
    glab packages ls
    # Filter by package name
    glab packages list --name my-package
    # List a specific page with a custom page size
    glab packages list --page 2 --per-page 10
    # List packages from another project
    glab packages list -R owner/repo

SEE ALSO
glab-packages(1)